<?php
  ini_set('display_errors', 1);
	ini_set('display_startup_errors', 1);
  error_reporting(E_ALL);
  
  require("../../vendor/autoload.php");
  use Helper\MetadataGenerator\MetadataGenerator;
  use Helper\MetadataGenerator\StructuredData\ContactType;
  use Helper\MetadataGenerator\StructuredData\LocalBusiness\BusinessType;
  use Helper\MetadataGenerator\StructuredData\StockManagement;
  use DateTime;

  $meta = new MetadataGenerator();
  $data = [
    "title" => 'Informação - FamaTV',
    "themeColor" => "#72B946",
    "description" => 'A FamaTV é um projeto pioneiro na webtv nacional e assume agora uma nova imagem.',
    "keywords" => "Famalicão e assim",
    "author" => "Pedro Silva",
    "imageSrc" => "http://famatv.youoncontent.com/resources/img/metadata/metadata-famatv.png",
    "icon" => ["favicon" => "http://famatv.youoncontent.com/resources/img/favicon-famatv.png",
                "apple-touch-icon" => "http://famatv.youoncontent.com/resources/img/favicon-famatv.png" ],
    "charset" => "utf-8",
    "canonical" => "http://famatv.youoncontent.com",
    "fbAdmins" => "181488158850210",
    "fbPageId" => "181488158850210",
    "type" =>  "website",
    "twCard" => "summary_large_image",
    "twCreator" => "@youongroup",
    "twSite" => "@youongroup",
    "locale" => "pt",
    "l10n" => ["pt","en","es"],
    "siteName" => "FamaTv",
    "website" => [
      "name" => "FamaTv",
      "url" => "http://famatv.youoncontent.com/",
      "social" => [
        "https://www.facebook.com/famatv.famalicao/",
        "https://www.twitter.com/famatv.famalicao/",
        "https://www.instagram.com/famatv.famalicao/",
        "https://www.linkedin.com/famatv.famalicao/",
      ],
      "search" => true,
      "searchLink" => "http://famatv.youoncontent.com/pesquisa/",
      "searchQueryName" => "q"
    ],
    "organization" => [

      "name" => "FamaTv Inc",
      "url" => "http://famatv.youoncontent.com/",
      "social" => [
        "https://www.facebook.com/famatv.famalicao/",
        "https://www.twitter.com/famatv.famalicao/",
        "https://www.instagram.com/famatv.famalicao/",
        "https://www.linkedin.com/famatv.famalicao/",
      ],
      "logo" => "",
      "contacts" => [
        [
          "type" => ContactType::CostumerSupport,
          "phone" => "+351 252 123 456",
          "email" => "email@rroba.milho",
        ]
      ]
    ]
  ];
  define("DEBUG",true)
?>
<!DOCTYPE html5>
<html lang="en">
<head>
    <?php echo $meta->getGeneralMetadata($data,DEBUG); 

          echo $meta->getOpenGraphMetadata($data,DEBUG); 

          echo $meta->getGooglePlusMetadata($data,DEBUG); 

          echo $meta->getTwitterMetadata($data,DEBUG); 

          echo $meta->getStructuredData($data,DEBUG);
         
         /*echo $meta->getAllMetadata($data,DEBUG);*/
    ?>
</head>
<body>
</body>
</html>